﻿using System.Collections.Generic;
using System.Windows.Controls;
using System.ComponentModel;
using Infragistics.Controls.Grids.Primitives;
using Infragistics.Controls.Grids;
using System.Windows.Data;
using System.Windows;

namespace XamGridCheckBoxColumn
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            InitializeGridData();
        }

        private void InitializeGridData()
        {
            var data = new List<Company>();

            for (var i = 0; i < 100; i++)
            {
                var c = new Company
                            {
                                Id = i,
                                Select = i%2 == 0
                            };

                data.Add(c);
            }

            this.DataContext = data;
        }

        private void CheckBox_Click(object sender, System.Windows.RoutedEventArgs e)
        {
            CheckBox cb = (CheckBox)sender;
            HeaderCellControl cell = (HeaderCellControl)cb.Parent;

            foreach (RowBase row in cell.Cell.Row.Manager.Rows)
            {
                if (row.RowType == RowType.DataRow)
                {
                    ((Company)row.Data).Select = (bool)cb.IsChecked;
                }
            }

        }
    }

    public class Company:INotifyPropertyChanged
    {
        private int id;

        public int Id
        {
            get { return id; }
            set 
            { 
                id = value;
                OnPropertyChagned("Id");
            }
        }

        private bool select;

        public bool Select
        {
            get { return select; }
            set 
            { 
                select = value;
                OnPropertyChagned("Select");
            }
        }
            public event PropertyChangedEventHandler PropertyChanged;

            public void OnPropertyChagned(string name)
            {
                if (PropertyChanged != null)
                    PropertyChanged(this, new PropertyChangedEventArgs(name));
            }
    }

    public class MyConverter : IValueConverter
    {
        public object Convert(object value, System.Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if ((int)value == 1)
            {
                return Visibility.Collapsed;
            }
            return Visibility.Visible;
        }

        public object ConvertBack(object value, System.Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new System.NotImplementedException();
        }
    }

    
}
